# TODO:
# - lib64 patch

# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define		module	psycopg2
Summary:	psycopg is a PostgreSQL database adapter for Python
Summary(pl.UTF-8):	psycopg jest przeznaczonym dla Pythona interfejsem do bazy PostgreSQL
Name:		python-%{module}
Version:	2.8.4
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://initd.org/psycopg/tarballs/PSYCOPG-2-8/%{module}-%{version}.tar.gz
# Source0-md5:	dbb5a67dd57cfa905de37ab9678a92f6
#Patch0:		%{name}-lib64.patch
URL:		http://www.initd.org/software/psycopg/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	autoconf
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
%{?with_python2:BuildRequires:	python-devel >= 2.5}
%{?with_python3:BuildRequires:	python3-devel}
BuildRequires:	rpm-pythonprov
Requires:	postgresql-libs
Requires:	python-modules
Requires:	python-pytz
%if "%{pld_release}" == "ac"
BuildRequires:	python-mx-DateTime-devel
Requires:	python-mx-DateTime
%else
# if somebody really needs mx.DateTime, then one can request mx.Datetime
# usage on runtime;
# it is pointless to use 'Requires' or 'Suggest' field because
# - python provides its own datetime implementation
# - one can request it on runtime (as said above)
# - usage of mx.DateTime type is application specific
# Sure, but make mx-DateTime conditional build work
BuildConflicts:	python-egenix-mx-base
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch
with the aim of being very small and fast, and stable as a rock. The
main advantages of psycopg are that it supports the full Python
DBAPI-2.0 and being thread safe at level 2.

%description -l pl.UTF-8
psycopg jest przeznaczonym dla Pythona interfejsem do bazy danych
PostgreSQL (tak jak pygresql i popy). Został zakodowany od początku z
założeniem że ma być bardzo mały, szybki i stabilny. Główna zaletą
psycopg jest, że w jest pełni zgodny z standardem DBAPI-2.0 i jest
'thread safe' na poziomie 2.

%package -n python3-%{module}
Summary:	psycopg is a PostgreSQL database adapter for Python
Summary(pl.UTF-8):	psycopg jest przeznaczonym dla Pythona interfejsem do bazy PostgreSQL
Group:		Libraries/Python
Requires:	python3-modules
Requires:	python3-pytz

%description -n python3-%{module}
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch
with the aim of being very small and fast, and stable as a rock. The
main advantages of psycopg are that it supports the full Python
DBAPI-2.0 and being thread safe at level 2.

%description -n python3-%{module} -l pl.UTF-8
psycopg jest przeznaczonym dla Pythona interfejsem do bazy danych
PostgreSQL (tak jak pygresql i popy). Został zakodowany od początku z
założeniem że ma być bardzo mały, szybki i stabilny. Główna zaletą
psycopg jest, że w jest pełni zgodny z standardem DBAPI-2.0 i jest
'thread safe' na poziomie 2.

%prep
%setup -q -n %{module}-%{version}
#%if "%{_lib}" == "lib64"
#%patch0 -p1
#%endif

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
%endif
%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc NEWS AUTHORS doc/SUCCESS
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]
%if "%{pld_release}" != "ac"
%{py_sitedir}/*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc NEWS AUTHORS doc/SUCCESS
%dir %{py3_sitedir}/%{module}
%dir %{py3_sitedir}/%{module}/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__/*.py*
%{py3_sitedir}/*.egg-info
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-psycopg2.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> e13b7f3
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 869f285
- release 2 (by relup.sh)

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> dc9211f
- up to 2.8.4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 688c749
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a062716
- up to 2.7.5

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0279c5b
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 149fafa
- python 3.6
- release 2 (by relup.sh)

* Wed Jul 13 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 20f9e4d
- up to 2.6.2

* Wed Apr 27 2016 Andrzej Zawadzki <zawadaa@pld-linux.org> 82254d1
- up to 2.6.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 1760126
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 330f6d7
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 528a4b4
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5825139
- python3.5 rebuild
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fb677e
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> f0577f5
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 82246f4
- python 3.4
- release 2 (by relup.sh)

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 62f7646
- cleanup pointless ifdefs, simplify

* Thu Aug 08 2013 Mateusz Korniak <matkor@pld-linux.org> a8e74b3
- Smaller cover of %if %{with python3}

* Thu Aug 08 2013 Mateusz Korniak <matkor@pld-linux.org> 121405c
- Version 2.5.1-1. Trying to avoid python-psycopg2 R: python3-modules.

* Fri May 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 1ce5304
- Version: 2.5

